#!/bin/csh -f 

# Using NCO utilities to edit names and attributes 
# (for nicer appearance of Ingrid-produced plots) 
# in the NetCDF files produced by demo_gmtsurface.sh 

ncatted -O -a units,tsurf,d,, -a long_name,tsurf,a,c,'Surface Temperature, degree K' c0.nc
ncatted -O -a units,tsurf,d,, -a long_name,tsurf,a,c,'Surface Temperature, degree K' w0.nc

ncrename -O -d lon,X -d lat,Y -v z,tsurf -v lon,X -v lat,Y c1.nc
ncatted -O -a gridtype,X,o,i,1 -a units,X,o,c,degree_east -a units,Y,o,c,degree_north -a units,tsurf,d,, -a long_name,,d,, -a long_name,tsurf,a,c,'Surface Temperature, degree K' c1.nc

ncrename -O -d lon,X -d lat,Y -v z,tsurf -v lon,X -v lat,Y c2.nc
ncatted -O -a gridtype,X,o,i,1 -a units,X,o,c,degree_east -a units,Y,o,c,degree_north -a units,tsurf,d,, -a long_name,,d,, -a long_name,tsurf,a,c,'Surface Temperature, degree K' c2.nc

ncrename -O -d x,X -d y,Y -v z,tsurf -v x,X -v y,Y w1.nc
ncatted -O -a gridtype,X,o,i,1 -a units,X,o,c,degree_east -a units,Y,o,c,degree_north -a units,tsurf,d,, -a long_name,,d,, -a long_name,tsurf,a,c,'Surface Temperature, degree K' w1.nc

ncrename -O -d x,X -d y,Y -v z,tsurf -v x,X -v y,Y w2.nc
ncatted -O -a gridtype,X,o,i,1 -a units,X,o,c,degree_east -a units,Y,o,c,degree_north -a units,tsurf,d,, -a long_name,,d,, -a long_name,tsurf,a,c,'Surface Temperature, degree K' w2.nc
#

